using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATVariableInstanceDate")]
[Index("ReferenceId", Name = "RefID")]
public partial class AtvariableInstanceDate
{
    [Key]
    [Column("InstanceID")]
    public int InstanceId { get; set; }

    [Column("VariableID")]
    public int VariableId { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime Value { get; set; }

    [Column("ReferenceID")]
    public int? ReferenceId { get; set; }

    [StringLength(50)]
    public string Name { get; set; } = null!;

    public int DataType { get; set; }
}
